FAQ Database Discussion Community


Cannot perform operation. Computing alternate solutions, may take a while STS?

eclipse,installation,spring-tool-suite
I would like to ask what does this error mean when adding a new Available Software Site and installing new software in Eclipse/STS (Spring Tool Suite) using Install New Software? I am experiencing this problem with the Spring Tool Suite Nightly Build: http://dist.springsource.com/snapshot/STS/nightly-distributions.html I am trying to update my STS...

Error after update to STS 3.6.4.RELEASE

java,eclipse,spring-tool-suite
I have updated STS to version 3.6.4.RELEASE. When I try to start my java project, I get this error message in the console: Fehler: Hauptklasse Files.springsource.vfabric-tc-server-developer-2.9.3.RELEASE.base-instance.conf.logging.properties konnte nicht gefunden oder geladen werden This means in english: Error: main class Files.springsource.vfabric-tc-server-developer-2.9.3.RELEASE.base-instance.conf.logging.properties could not be found or loaded Does someone have a...

Why does STS warn me about non matching parameters?

java,spring,spring-data-jpa,spring-tool-suite
I am using Spring Data Jpa and created a JpaRepository for my User class. The repository works but Spring Tool Suite gives me a warning for one method. Following are examples of my domain model classes and the repository: User: @Entity public class User { @Id @GeneratedValue private long id;...

STS vs native Eclipse with Spring IDE plugin

eclipse,spring-tool-suite
I've just been given several tasks requiring Spring and so I've been going through tutorials and I came across STS on the Spring.io website which is built atop Eclipse (my favorite IDE). On the other hand, I mentioned my discovery to several well seasoned Spring developers who switched after they...

Spring tool suite: missing “package name” option

spring-tool-suite
I have STS v3.6.3 installed on Windows 7 and creating a new "Spring Starter Project" the option "package name" doesn't appear, so the default "demo" package is created. I've read on the STS issuetracker website about this and they say that it has been fixed in the 3.6.4 version, but...

Cobertura “unable to locate file” in Ant build.xml

java,ant,cobertura,spring-tool-suite
This question is an extension of the question here, which asks how to locate a source file for Cobertura HTML reports using command-line arguments: Cobertura "unable to locate file" problem The answer given was to use the following command: cobertura-report.sh --format html --datafile $COBERTURA_HOME/core/emscore.ser --destination $REPORT_DIR $COBERTURA_HOME/core/src I am using...

Error when executing Grails application in Spring Tool Suite

grails,spring-tool-suite
I get the following error when executing my Grails application in Spring Tool Suite: | Error 2015-06-12 18:19:18,357 [localhost-startStop-1] ERROR hbm2ddl.SchemaUpdate - Unsuccessful: alter table meta_data_master_template add index FK6FD57D1CFA081AA2 (protocol_id), add constraint FK6FD57D1CFA081AA2 foreign key (protocol_id) references protocol (protocol_id) | Error 2015-06-12 18:19:18,357 [localhost-startStop-1] ERROR hbm2ddl.SchemaUpdate - Cannot add or...

Setting up SpringToolSuite with Maven/Java/GIT combo

git,maven,setup-project,spring-tool-suite,eclipse-luna
I am trying to set up Spring Tool Suite v3.6.3.SR1 (Eclipse Luna 4.4.1) with my project. STS comes with Maven which I have replaced with my version (3.1) and Java is v1.7. When I do: Package Explorer > Import... > Maven > Existing Maven Projects I get the project imported...

Spring Roo Shell in Eclipse: Could not create sts.roo.ui.rooShellView

eclipse,spring-roo,spring-tool-suite
IDE: springsource-tool-suite-3.6.4.RELEASE-e4.4.2 / eclipse-4.4.2 with sts-3.6.4.201503051146-RELEASE IDE Plugin: Spring IDE Roo Support v3.6.4.201503051146-RELEASE (via Eclipse Marketplace) Maven project configuration for Eclipse AJDT v0.14.0.201302011330 (via http://dist.springsource.org/release/AJDT/configurator/) Spring Roo: spring-roo-1.3.1.RELEASE / spring-roo-2.0.0.M1 Reproduce Step: import project created by Spring-Roo into eclipse right click project choose "Spring Tools" click "Open Roo Shell"...

How to eliminate bogus “Referenced bean … not found” warnings in STS?

eclipse,spring,spring-integration,spring-data-jpa,spring-tool-suite
STS (3.6.1 and others), Spring 4.1.x (latest), Spring Integration 4.1.2 In many Spring projects I work on in Eclipse/STS, we have numerous "Referenced bean not found" warnings. These often refer to internal Spring beans/classes, not legitimate mis-configuration of our own beans. Here's an example from one of our Spring Data...

Wrong file path used while running web application

java,spring,relative-path,spring-tool-suite
I am developing a Spring application using the Spring tool suite. My basic aim to read an existing xml file and do some stuff with it. The problem I am facing is that I am not able to use relative file path while running my code on server (tomcat 8.0.18)....

Configure APR connector in Spring Tool Suite/Eclipse

eclipse,tomcat,spring-tool-suite,apr
I want to configure APR connector in Spring Tool Suite's tomcat in linux(CentOS7). Using apr 1.5.2, tomcat-native 1.1.33, Spring Tool Suite 3.6.2, tomcat 7.0.57. Followed this tutorial and installed apr and tomcat-native libraries. Then based on this question, configured the jdk path to eclipse tomcat's configuration arguments. Now when i...

Can't run Spring Tool Suite on a Mac

osx,osx-yosemite,spring-tool-suite
I get this when I try and run the Spring Tool Suite on Yosemite: To open “STS” you need to install the legacy Java SE 6 runtime. Click “More Info…” to visit the legacy Java SE 6 download website. The more info brings me to this apparently defunct page: https://support.apple.com/kb/DL1572 Any ideas how to...

STS does not allow me to select framework version 4

spring-tool-suite
Is it correct that STS does allow me to select spring framework version 4 when I create a new "Spring Framework" project ? I have version 3.6.3.SR1 of the Spring Tool Suite....

How to install “Gradle support” plug-in in Spring Tools Suite 3.6.SR1?

spring,spring-tool-suite
I am using Spring Tools Suite 3.6.SR1. I press menu Dashboard, press: "IDE EXTENSIONS" Check "Gradle support", press Install: The following connectors are not available: Gradle Support Proceed with the installation anyways? Error: Problems occurred while performing installation: Operation details Operation details Cannot complete the request. See the error log...